org.eclipse.wst.jsdt.js.node.common.json.objects

## Class PackageJson.Builder

- java.lang.Object
- - org.eclipse.wst.jsdt.js.node.common.json.objects.PackageJson.Builder

Enclosing class:
  PackageJson

    public static class PackageJson.Builder
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Builder()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PackageJson.Builder` `author(java.lang.String author)`
`PackageJson.Builder` `bin(java.util.Map<java.lang.String,java.lang.String> bin)`
`PackageJson.Builder` `bugs(java.util.Map<java.lang.String,java.lang.String> bugs)`
`PackageJson` `build()`
`PackageJson.Builder` `bundledDependencies(java.util.List<java.lang.String> bundledDependencies)`
`PackageJson.Builder` `config(java.util.Map<java.lang.String,java.lang.String> config)`
`PackageJson.Builder` `contributors(java.util.List<java.util.Map<java.lang.String,java.lang.String>> contributors)`
`PackageJson.Builder` `cpu(java.lang.String cpu)`
`PackageJson.Builder` `dependencies(java.util.Map<java.lang.String,java.lang.String> dependencies)`
`PackageJson.Builder` `description(java.lang.String description)`
`PackageJson.Builder` `devDependencies(java.util.Map<java.lang.String,java.lang.String> devDependencies)`
`PackageJson.Builder` `directories(java.util.Map<java.lang.String,java.lang.String> directories)`
`PackageJson.Builder` `engines(java.util.Map<java.lang.String,java.lang.String> engines)`
`PackageJson.Builder` `files(java.util.List<java.lang.String> files)`
`PackageJson.Builder` `homepage(java.lang.String homepage)`
`PackageJson.Builder` `isPrivate(java.lang.Boolean isPrivate)`
`PackageJson.Builder` `keywords(java.util.List<java.lang.String> keywords)`
`PackageJson.Builder` `license(java.lang.String license)`
`PackageJson.Builder` `licenses(java.util.List<java.util.Map<java.lang.String,java.lang.String>> licenses)`
`PackageJson.Builder` `main(java.lang.String main)`
`PackageJson.Builder` `man(java.lang.String man)`
`PackageJson.Builder` `name(java.lang.String name)`
`PackageJson.Builder` `optionalDependencies(java.util.Map<java.lang.String,java.lang.String> optionalDependencies)`
`PackageJson.Builder` `os(java.lang.String os)`
`PackageJson.Builder` `peerDependencies(java.util.Map<java.lang.String,java.lang.String> peerDependencies)`
`PackageJson.Builder` `preferGlobal(java.lang.Boolean preferGlobal)`
`PackageJson.Builder` `publishConfig(java.util.Map<java.lang.String,java.lang.String> publishConfig)`
`PackageJson.Builder` `repository(java.util.Map<java.lang.String,java.lang.String> repository)`
`PackageJson.Builder` `scripts(java.util.Map<java.lang.String,java.lang.String> scripts)`
`PackageJson.Builder` `version(java.lang.String version)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder()

### Method Detail

#### name

    public PackageJson.Builder name(java.lang.String name)

#### version

    public PackageJson.Builder version(java.lang.String version)

#### description

    public PackageJson.Builder description(java.lang.String description)

#### author

    public PackageJson.Builder author(java.lang.String author)

#### homepage

    public PackageJson.Builder homepage(java.lang.String homepage)

#### contributors

    public PackageJson.Builder contributors(java.util.List<java.util.Map<java.lang.String,java.lang.String>> contributors)

#### bin

    public PackageJson.Builder bin(java.util.Map<java.lang.String,java.lang.String> bin)

#### man

    public PackageJson.Builder man(java.lang.String man)

#### scripts

    public PackageJson.Builder scripts(java.util.Map<java.lang.String,java.lang.String> scripts)

#### main

    public PackageJson.Builder main(java.lang.String main)

#### repository

    public PackageJson.Builder repository(java.util.Map<java.lang.String,java.lang.String> repository)

#### bugs

    public PackageJson.Builder bugs(java.util.Map<java.lang.String,java.lang.String> bugs)

#### keywords

    public PackageJson.Builder keywords(java.util.List<java.lang.String> keywords)

#### dependencies

    public PackageJson.Builder dependencies(java.util.Map<java.lang.String,java.lang.String> dependencies)

#### devDependencies

    public PackageJson.Builder devDependencies(java.util.Map<java.lang.String,java.lang.String> devDependencies)

#### preferGlobal

    public PackageJson.Builder preferGlobal(java.lang.Boolean preferGlobal)

#### publishConfig

    public PackageJson.Builder publishConfig(java.util.Map<java.lang.String,java.lang.String> publishConfig)

#### license

    public PackageJson.Builder license(java.lang.String license)

#### engines

    public PackageJson.Builder engines(java.util.Map<java.lang.String,java.lang.String> engines)

#### os

    public PackageJson.Builder os(java.lang.String os)

#### cpu

    public PackageJson.Builder cpu(java.lang.String cpu)

#### bundledDependencies

    public PackageJson.Builder bundledDependencies(java.util.List<java.lang.String> bundledDependencies)

#### peerDependencies

    public PackageJson.Builder peerDependencies(java.util.Map<java.lang.String,java.lang.String> peerDependencies)

#### optionalDependencies

    public PackageJson.Builder optionalDependencies(java.util.Map<java.lang.String,java.lang.String> optionalDependencies)

#### config

    public PackageJson.Builder config(java.util.Map<java.lang.String,java.lang.String> config)

#### directories

    public PackageJson.Builder directories(java.util.Map<java.lang.String,java.lang.String> directories)

#### files

    public PackageJson.Builder files(java.util.List<java.lang.String> files)

#### licenses

    public PackageJson.Builder licenses(java.util.List<java.util.Map<java.lang.String,java.lang.String>> licenses)

#### isPrivate

    public PackageJson.Builder isPrivate(java.lang.Boolean isPrivate)

#### build

    public PackageJson build()